| QxOrm 1.2.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions
qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 > Class Template Reference
QxFunction : QxOrm library function used by introspection engine

qx::QxFunction_9<Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9> : concrete function registered into QxOrm context defined into class Owner, returning an object of type R and with 9 parameters P1, P2, P3, P4, P5, P6, P7, P8, P9 More...

`#include <QxFunction_9.h>`

Inheritance diagram for qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >:

List of all members.

## Classes
struct | QxInvokerFct
struct | QxInvokerFct< T, true >
## Public Types
typedef boost::function< R(Owner *, P1, P2, P3, P4, P5, P6, P7, P8, P9) | type_fct )
typedef qx::trait::remove_attr < P1, false >::type | type_P1
typedef qx::trait::remove_attr < P2, false >::type | type_P2
typedef qx::trait::remove_attr < P3, false >::type | type_P3
typedef qx::trait::remove_attr < P4, false >::type | type_P4
typedef qx::trait::remove_attr < P5, false >::type | type_P5
typedef qx::trait::remove_attr < P6, false >::type | type_P6
typedef qx::trait::remove_attr < P7, false >::type | type_P7
typedef qx::trait::remove_attr < P8, false >::type | type_P8
typedef qx::trait::remove_attr < P9, false >::type | type_P9
## Public Member Functions
| QX_FUNCTION_CLASS_MEMBER_FCT (QxFunction_9)
virtual qx_bool | isValidParams (const QString &params) const
virtual qx_bool | isValidParams (const type_any_params &params) const

## Detailed Description

### template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>
class qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >

qx::QxFunction_9<Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9> : concrete function registered into QxOrm context defined into class Owner, returning an object of type R and with 9 parameters P1, P2, P3, P4, P5, P6, P7, P8, P9

Definition at line 56 of file QxFunction_9.h.

## Member Typedef Documentation

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

typedef boost::function<R (Owner *, P1, P2, P3, P4, P5, P6, P7, P8, P9) qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_fct)

Definition at line 61 of file QxFunction_9.h.

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

typedef qx::trait::remove_attr<P1, false>::type qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_P1

Definition at line 62 of file QxFunction_9.h.

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

typedef qx::trait::remove_attr<P2, false>::type qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_P2

Definition at line 63 of file QxFunction_9.h.

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

typedef qx::trait::remove_attr<P3, false>::type qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_P3

Definition at line 64 of file QxFunction_9.h.

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

typedef qx::trait::remove_attr<P4, false>::type qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_P4

Definition at line 65 of file QxFunction_9.h.

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

typedef qx::trait::remove_attr<P5, false>::type qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_P5

Definition at line 66 of file QxFunction_9.h.

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

typedef qx::trait::remove_attr<P6, false>::type qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_P6

Definition at line 67 of file QxFunction_9.h.

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

typedef qx::trait::remove_attr<P7, false>::type qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_P7

Definition at line 68 of file QxFunction_9.h.

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

typedef qx::trait::remove_attr<P8, false>::type qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_P8

Definition at line 69 of file QxFunction_9.h.

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

typedef qx::trait::remove_attr<P9, false>::type qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::type_P9

Definition at line 70 of file QxFunction_9.h.

## Member Function Documentation

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

virtual qx_bool qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::isValidParams | ( | const QString & | params | ) | const`[inline, virtual]`

Implements qx::IxFunction.

Definition at line 73 of file QxFunction_9.h.

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

virtual qx_bool qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::isValidParams | ( | const type_any_params & | params | ) | const`[inline, virtual]`

Implements qx::IxFunction.

Definition at line 74 of file QxFunction_9.h.

template<class Owner, typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>

qx::QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 >::QX_FUNCTION_CLASS_MEMBER_FCT | ( | QxFunction_9< Owner, R, P1, P2, P3, P4, P5, P6, P7, P8, P9 > |  | ) |

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxFunction/QxFunction_9.h